/*****************************************************************************
** File: ai_tp_list.h
**
** Description: FIFO
**
** Copyright(c) 2011 Sunmedia Technologies - All Rights Reserved
**
** Author : kun.li
**
** $Id$
*****************************************************************************/
#ifndef __AI_TP_LIST_H__
#define __AI_TP_LIST_H__

typedef al_uint32 TpListHdl_st;
#define TP_LIST_INVALID_HDL	(0)

AL_Return_t AI_TpListInit(TpListHdl_st* pstHdl);
AL_Return_t AI_TpListAddNode(TpListHdl_st pstHdl, void* pstTpInfo, al_uint32 uiTpInfoSize);
AL_Return_t AI_TpListGetNode(TpListHdl_st pstHdl, void** pstCurTpInfo);
AL_Return_t AI_TpListFree(TpListHdl_st pstHdl);

#ifdef CONFIG_DVB_SYSTEM_DVBS_SUPPORT
AL_Return_t AI_TpListDeleteOneNode(TpListHdl_st pstHdl, void** pstDelTpInfo);
#endif

#endif	//__AI_TP_LIST_H__

